# phpMyAdmin SQL Dump
# version 2.5.3
# http://www.phpmyadmin.net
#
# Servidor: localhost
# Tempo de Generao: Jan 30, 2005 at 11:13 AM
# 
# 

# --------------------------------------------------------

#
# Estrutura da tabela `adv`
#
DROP TABLE IF EXISTS adv;
CREATE TABLE adv (
  cod int(11) NOT NULL auto_increment,
  msg mediumtext NOT NULL,
  PRIMARY KEY  (cod)
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Estrutura da tabela `auth`
#
DROP TABLE IF EXISTS auth;
CREATE TABLE auth (
  login varchar(20) NOT NULL default '',
  pwd varchar(50) NOT NULL default '',
  name varchar(75) NOT NULL default '',
  PRIMARY KEY  (login)
) TYPE=MyISAM;

#
# Extraindo dados da tabela `auth`
#

INSERT INTO auth (login, pwd, name) VALUES ('%login', '%senha', '%nome');

# --------------------------------------------------------

#
# Estrutura da tabela `block`
#
DROP TABLE IF EXISTS block;
CREATE TABLE block (
  name varchar(20) default NULL,
  ip varchar(32) default NULL,
  data datetime default NULL
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Estrutura da tabela `config`
#
DROP TABLE IF EXISTS config;
CREATE TABLE config (
  config_name varchar(255) NOT NULL default '',
  config_value tinytext NOT NULL,
  config_desc varchar(255) NOT NULL default '...',
  PRIMARY KEY  (config_name)
) TYPE=MyISAM;

#
# Extraindo dados da tabela `config`
#

INSERT INTO config (config_name, config_value, config_desc) VALUES ('refresh', '5', 'Tempo da atualizao do chat em segundos');
INSERT INTO config (config_name, config_value, config_desc) VALUES ('purge', '60', 'Tempo limite dos usurios e mensagens em segundos.');
INSERT INTO config (config_name, config_value, config_desc) VALUES ('limite', '30', 'Limite de pessoas por sala.');
INSERT INTO config (config_name, config_value, config_desc) VALUES ('assistente', '10', 'Tempo do assistente inserir mensagens em minutos.');
INSERT INTO config (config_name, config_value, config_desc) VALUES ('ajuste_time', '0', 'Diferena de seu tempo para o do servidor em horas +/- (exemplo: +5/-5).');
INSERT INTO config (config_name, config_value, config_desc) VALUES ('modelo', 'sk15_purple', 'Pasta do template utilizado.');
INSERT INTO config (config_name, config_value, config_desc) VALUES ('cores', 'Preto:#000000,Vermelho:#FF0000,Verde:#008000,Azul:#0000FF,Laranja:#FF8040,Cinza:#808080,Roxo:#FF00FF,Amarelo:#FFFF00', 'Cores ultilizada pelos usurios.');

# --------------------------------------------------------

#
# Estrutura da tabela `logmsg`
#
DROP TABLE IF EXISTS logmsg;
CREATE TABLE logmsg (
  msg mediumtext,
  date datetime default NULL,
  rem varchar(30) default NULL,
  dest varchar(30) default NULL,
  som varchar(20) default NULL,
  tipo varchar(10) default NULL,
  sala varchar(255) default NULL
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Estrutura da tabela `msg`
#
DROP TABLE IF EXISTS msg;
CREATE TABLE msg (
  msg mediumtext,
  date datetime default NULL,
  rem varchar(30) default NULL,
  dest varchar(30) default NULL,
  som varchar(20) default NULL,
  tipo varchar(10) default NULL,
  sala varchar(255) default NULL
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Estrutura da tabela `privs`
#
DROP TABLE IF EXISTS privs;
CREATE TABLE privs (
  login varchar(20) NOT NULL default '',
  priv varchar(20) NOT NULL default '',
  KEY login (login,priv)
) TYPE=MyISAM;

#
# Extraindo dados da tabela `privs`
#

INSERT INTO privs (login, priv) VALUES ('%login', 'master');

# --------------------------------------------------------

#
# Estrutura da tabela `salas`
#
DROP TABLE IF EXISTS salas;
CREATE TABLE salas (
  nome varchar(25) default NULL,
  descr varchar(255) default NULL,
  cod varchar(32) default NULL,
  date datetime default NULL
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Estrutura da tabela `users`
#
DROP TABLE IF EXISTS users;
CREATE TABLE users (
  nome varchar(20) default NULL,
  careta tinyint(2) NOT NULL default '0',
  cor varchar(7) default NULL,
  date datetime default NULL,
  sala varchar(255) default NULL,
  uid varchar(32) default NULL,
  ip varchar(32) default NULL
) TYPE=HEAP;